from __future__ import annotations
from typing import Any, Protocol, runtime_checkable
from com.sun.star.uno import XInterface

@runtime_checkable
class XSVGPrinter(XInterface, Protocol):
    def startJob(self, aHandler: XDocumentHandler, aJobSetup: sequence< byte >, aJobName: str, nCopies: int, bCollate: bool) -> bool: ...
    def printPage(self, aPrintPage: sequence< byte >) -> None: ...
    def endJob(self) -> None: ...
